%bcond_with docs
Summary:	Library for extracting extra information from image files
Name:		libexif
Version:	0.6.24
Release:	4%{?dist}
License:	LGPLv2+
URL:		https://libexif.github.io/
Source0:	https://github.com/libexif/libexif/releases/download/v%{version}/libexif-%{version}.tar.bz2

BuildRequires:	autoconf, automake, libtool, make, pkgconfig, gettext-devel
%if %{with docs}
BuildRequires:	doxygen
%endif

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package devel
Summary:	Files needed for libexif application development
Requires:	%{name} = %{version}-%{release}
%description devel
The libexif-devel package contains the libraries and header files
for writing programs that use libexif.

%if %{with docs}
%package doc
Summary:	The EXIF Library API documentation
Requires:	%{name} = %{version}-%{release}
%description doc
API Documentation for programmers wishing to use libexif in their programs.
%endif



%prep
%autosetup -p1



%build
autoreconf -fiv

%configure \
  --disable-static

%make_build



%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la

rm -rf %{buildroot}%{_datadir}/doc/libexif
%if %{with docs}
cp -R doc/doxygen-output/libexif-api.html .
%endif
iconv -f latin1 -t utf-8 < COPYING > COPYING.utf8; cp COPYING.utf8 COPYING
iconv -f latin1 -t utf-8 < README > README.utf8; cp README.utf8 README
%find_lang libexif-12



%check
%make_build check



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files -f libexif-12.lang
%license COPYING
%doc README NEWS
%{_libdir}/libexif.so.12*

%files devel
%{_includedir}/libexif
%{_libdir}/libexif.so
%{_libdir}/pkgconfig/libexif.pc

%if %{with docs}
%files doc
%doc libexif-api.html
%endif



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.24-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.24-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.24-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.6.24-1
- initial
